> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/select-udelement.md).

# Select-UDElement

Select-UDElement met le focus sur un élément d'interface spécifié dans une page de tableau de bord PowerShell Universal, ce qui est utile pour sélectionner des champs de saisie.

### Résumé

Sélectionne l'élément spécifié.

### Syntaxe

```powershell
Select-UDElement -Id <String> [-ScrollToElement] [<CommonParameters>]
```

### Description

Sélectionne l'élément spécifié. Cette applet de commande est utile pour sélectionner des champs de saisie.

### Paramètres

#### -Id

L'ID de l'élément à sélectionner.

```
Required?                    true
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ScrollToElement

Indique s'il faut faire défiler jusqu'à l'élément.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Paramètres communs

Cette applet de commande prend en charge les paramètres communs : Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable et OutVariable. Pour plus d'information, voir [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Sorties

### Exemples

#### Exemple 1 : Sélectionner un élément

```powershell
New-UDTextbox -Id 'selectElement1' -Label 'Name'
New-UDButton -Text 'Click Me' -OnClick {
    Select-UDElement -Id 'txtName'
}
```

Sélectionne l'élément spécifié.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/fr/commandes-powershell/select-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
